<?php
/* 
Plugin Name: Comment Info Tip
Plugin URI: http://www.search-this.com/comment-info-tip
Description: This plugin displays a tip when you mouseover a commenter's name. The tip shows the total comments made by the user as well as the last 3 post they commented in. It also shows an excerpt from their last blog post.
Version: 1.6
Author: Mark Angeletti, traduction FR par Mr Xhark
Author URI: http://www.search-this.com
*/

if (!class_exists("CommenterInfoTip")) {
	class CommenterInfoTip {
		function CommenterInfoTip() { //constructor

		}
		// add css and js files to the head
		function addHeaderCode() {
			echo "\n".'<!-- Start Comment Info Tip Plugin -->'."\n";
			echo '<link type="text/css" rel="stylesheet" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/comment-info-tip/comment-info-tip.css" />'."\n";
			if (function_exists('wp_enqueue_script')) {
				wp_enqueue_script('comment-info-tip', get_bloginfo('wpurl') . '/wp-content/plugins/comment-info-tip/comment-info-tip.js.php', false, '1.6');
			}
			echo '<!-- End Comment Info Tip Plugin -->'."\n"; 
		}
		// add a span around the author links
		function addCommenterSpan($text = '') {			
			global $comment;
			$url    = get_comment_author_url();
			$author = get_comment_author();
			$commentId = get_comment_id();
			
			if ( empty( $url ) || 'http://' == $url )
			   $text = $author;
			else
			   $text = "<span class='commentTipWrapper' lang='$commentId'><a href='$url' rel='external nofollow'>$author</a></span>";
			return $text;
		}

	}

} //End Class CommenterInfoTip

if (class_exists("CommenterInfoTip")) {
	$commenterInfoPlugin = new CommenterInfoTip();
}
//Actions and Filters	
if (isset($commenterInfoPlugin)) {
	//Actions
	add_action('wp_head', array(&$commenterInfoPlugin, 'addHeaderCode'), 1);
	//add_action('init', array(&$commenterInfoPlugin, 'init') );
	//Filters
	add_filter('get_comment_author_link', array(&$commenterInfoPlugin, 'addCommenterSpan'), 1);
}
?>