<?php
if (!defined(ABSPATH))
{
   $directoryPath = dirname(__FILE__).'/';
   define(ABSPATH, substr($directoryPath, 0, strpos($directoryPath, '/wp-content') + 1));
}
include_once(ABSPATH . "wp-config.php");
include_once(ABSPATH . 'wp-includes/rss.php');
//include_once(ABSPATH . WPINC . '/rss.php');

//get the commentID from passed in
$nCommentID = $_GET['commentID'];

if( $nCommentID == null || !is_numeric($nCommentID))
{
  $nCommentID = '-1';
}
else {
   getCommentInfo($nCommentID);
}

function getCommentInfo($nCommentID) {
	//required to use wpdb
	global $wpdb; 

	$thisComment = get_comment( $nCommentID );
	$commenterName = $thisComment->comment_author;
	$commenterUrl = $thisComment->comment_author_url;
	$commentType = $thisComment->comment_type;

	$sql = "SELECT COUNT(comment_author_url) FROM $wpdb->comments WHERE comment_author_url = '$commenterUrl' ";
	
	$totalComments = $wpdb->get_var($sql);

	$sql2 = "SELECT $wpdb->posts.post_title, $wpdb->posts.guid, $wpdb->comments.comment_author_url
			FROM $wpdb->posts
			LEFT JOIN $wpdb->comments ON $wpdb->posts.id = $wpdb->comments.comment_post_ID
			WHERE $wpdb->comments.comment_author_url = '$commenterUrl'
			ORDER BY $wpdb->comments.comment_date DESC
			LIMIT 0 , 3";
		
	$lastThreeCommentPost = $wpdb->get_results($sql2);
	
	$comments = "";
	// display results in a repeating loop 
	foreach($lastThreeCommentPost as $queryResult)
	{
		$comments .= "<li><a href='". $queryResult->guid ."'>". $queryResult->post_title ."</a></li>";	
	}
	
	/*
	// GET FEED INFO NOW
	// http://codex.wordpress.org/Function_Reference/fetch_rss
	// only get feed info if they have more than one comment
	*/
	if($totalComments > 1)
	{		
		//strip trailing slash
		if ($commenterUrl[strlen($commenterUrl)-1] == "/") {
			$commenterUrl = substr( $commenterUrl, 0, -1 );
		}

		$feedStrings = array( '?feed=rss', '/feeds/posts/default', '/feed', '/rss.xml', '/atom.xml', '/index.xml', '/index.rdf', '/rss' );
		$rss = null;
		foreach( $feedStrings as $feedString ) {
  		    $rss = fetch_rss( $commenterUrl.$feedString );
  		    if( !empty($rss->items)) 
  		    { 
   			 break; 
  		    }
		}

		// did we get an array?
		$items = is_array($rss->items) ? array_slice($rss->items, 0, 1) : ($rss->items);

		$commenterRSSTitle = "";
		$commenterRSSLink = "";
		$commenterRSSummary = "";
		
		if (empty($items))
		{
			$commenterRSSTitle = "";
		} else {
			foreach( $items as $item )
			{
				$commenterRSSTitle = $item['title']; 
				$commenterRSSLink = $item['link'] ; 
				$commenterRSSummary = $item['description'] ;
			}
		}
		
		$summary = strip_tags($commenterRSSummary); //strip_tags removes all HTML and PHP tags
		$strLength = strlen($summary);
		$substrEndChars = substr($summary, $strLength-5, 5); 
		
		if ($strLength == "")
		{
			$summary = "no excerpt...";
		}
		if ($strLength > 375)
		{
			$summary = substr($summary, 0, 369);
			//look for the last space and remove everything after it.
			//$summary = preg_replace('~[^\s]+$~', '', $summary);
			$summary = substr( $summary, 0, strrpos( $summary, ' ' ) + 1 );
			$summary .= " [...]";
		}
		
		$rssInfo = "";
		if($commenterRSSTitle != "")
		{
			$rssInfo = "<hr /><strong>Le dernier billet du blog de ".$commenterName." :<br /><a href='$commenterRSSLink'>$commenterRSSTitle</a></strong><br />$summary";
		}	
	}

	if($commentType == "pingback" || $commentType == "trackback")
	{
		echo "$commentType";
	} else {
		if($totalComments == 1)
		{
			echo "~|~$totalComments" ;
		} else {
			echo "<br />$pluginPath Ses derniers commentaires :<ul>$comments</ul><div>$rssInfo</div>~|~$totalComments" ;	
		}
	}
}
?>